package Visual_DVM_2021.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.Common.TestingServer;
import _VisualDVM.TestingSystem.SAPFOR.ServerSapfor.ServerSapfor;
import _VisualDVM.TestingSystem.SAPFOR.ServerSapfor.ServerSapforState;
import Visual_DVM_2021.Passes.Server.PublishServerObject;
public class CompileServerSapfor extends PublishServerObject<TestingServer, ServerSapfor> {
    public CompileServerSapfor() {
        super(Global.testingServer, ServerSapfor.class);
    }
    @Override
    public boolean fillObjectFields() throws Exception {
        target.state= ServerSapforState.Queued;
        return true;
    }
}
